# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Author',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('name', models.CharField(help_text=b'Name of the author', max_length=100)),
                ('notes', models.TextField(help_text=b'Notes about the author; may be left blank. Will                               not be HTML-escaped.', blank=True)),
                ('pvt_notes', models.TextField(help_text=b'Notes about the author; not displayed on                                   the public interface', blank=True)),
                ('birth_date', models.DateField(help_text=b'Date of birth', null=True, blank=True)),
                ('death_date', models.DateField(help_text=b'Date of death (leave blank                                   if still alive!)', null=True, blank=True)),
            ],
        ),
        migrations.CreateModel(
            name='Context',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('name', models.CharField(help_text=b'Name of the context for the quote                             (title of the work or speech it appears in)', max_length=100)),
                ('date', models.DateField(help_text=b'Date of the quote', null=True, blank=True)),
                ('notes', models.TextField(help_text=b'Notes about the work; may be left blank. Will                               not be HTML-escaped. XXX: offer a WYSIWYG editor', blank=True)),
                ('pvt_notes', models.TextField(help_text=b'Notes about the work; not displayed on                                   the public interface', blank=True)),
            ],
        ),
        migrations.CreateModel(
            name='Quote',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('text', models.TextField()),
                ('notes', models.TextField(help_text=b'Notes about the quote; may be left blank. Will                               not be HTML-escaped. XXX: offer a WYSIWYG editor', blank=True)),
                ('pvt_notes', models.TextField(help_text=b'Notes about the quote; not displayed on                                   the public interface', blank=True)),
                ('context', models.ForeignKey(to='quotes.Context')),
            ],
        ),
        migrations.CreateModel(
            name='Tag',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('tag', models.CharField(max_length=100)),
            ],
        ),
        migrations.AddField(
            model_name='quote',
            name='tags',
            field=models.ManyToManyField(to='quotes.Tag', blank=True),
        ),
        migrations.AddField(
            model_name='context',
            name='tags',
            field=models.ManyToManyField(to='quotes.Tag', blank=True),
        ),
        migrations.AddField(
            model_name='author',
            name='tags',
            field=models.ManyToManyField(to='quotes.Tag', blank=True),
        ),
    ]
